Error with DADA2 script

Hi QIIME2 developers!

I have a problem when I was running the qiime dada2 denoise-paired command with QIIME2 (2019.10 version) . The script is:
*–i-demultiplexed-seqs demux-paired-end-cats.qza *

  • –p-trim-left-f 16 *
  • –p-trim-left-r 24 *
  • –p-trunc-len-f 287 *
  • –p-trunc-len-r 228 *
  • –p-chimera-method consensus *
  • –p-n-threads 0 *
  • –o-table table-cats-general.qza *
  • –o-representative-sequences rep-seqs-cats-general.qza *
    ** --o-denoising-stats denoising-stats-cats-general.qza &*

After running that I get the following error: Plugin error from dada2:
An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more. Debug info has been saved to /tmp/qiime2-q2cli-err-ieqb5504.log

The explanation of this error is:

This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpp82gj2f6/forward /tmp/tmpp82gj2f6/reverse /tmp/tmpp82gj2f6/output.tsv.biom /tmp/tmpp82gj2f6/track.tsv /tmp/tmpp82gj2f6/filt_f /tmp/tmpp82gj2f6/filt_r 287 228 16 24 2.0 2.0 2 consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4
1) Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
*** These are the errors (up to 5) encountered in individual cores…***
Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
*** Mismatched forward and reverse sequence files: 31425, 43609.***
Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
*** Mismatched forward and reverse sequence files: 43609, 31425.***
Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
*** Mismatched forward and reverse sequence files: 31425, 43609.***
Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
*** Mismatched forward and reverse sequence files: 43609, 31425.***
Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
*** Mismatched forward and reverse sequence files: 31425, 43609.***
Execution halted
Traceback (most recent call last):
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired***
*** run_commands([cmd])***
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands***
*** subprocess.run(cmd, check=True)***
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run***
*** output=stdout, stderr=stderr)***
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpp82gj2f6/forward’, ‘/tmp/tmpp82gj2f6/reverse’, ‘/tmp/tmpp82gj2f6/output.tsv.biom’, ‘/tmp/tmpp82gj2f6/track.tsv’, ‘/tmp/tmpp82gj2f6/filt_f’, ‘/tmp/tmpp82gj2f6/filt_r’, ‘287’, ‘228’, ‘16’, ‘24’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call***
*** results = action(arguments)*
*** File “</home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired***
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable***
*** output_types, provenance)***
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor***
*** output_views = self._callable(view_args)*
*** File “/home/dperez/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired***
*** " and stderr to learn more." % e.returncode)***
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I’ve never had this error before so I don’t know how to deal with it. Any suggestion to solve it?

Thank you very much,
Daniel.

Hello Daniel,

Did you look through the error message for clues? Here is what I noticed:

*** Mismatched forward and reverse sequence files: 31425, 43609.***

I saw that several times…

So it looks like your forward and reverse reads no longer match. Has someone prefiltered the fastq files before you processed them with Qiime 2? We are looking for any clues that could show the source of this mismatch.

Colin

1 Like

Hi,
Thank you very much for your reply.
Nobody has filtered de fastq files before. The script I used to import the data was:
*qiime tools import *

  • –type ‘SampleData[PairedEndSequencesWithQuality]’ *
  • –input-path cats *
  • –input-format CasavaOneEightSingleLanePerSampleDirFmt *
  • –output-path demux-paired-end-cats.qza &*

As I said before, I always follow the same script and I’ve never had any problem. Have you got any clue to know what sample (or samples) is problematic?

Than you very much,

Dani.

Hello Dani,

I’m not sure which samples have mismatched reads. This information might be in one of the dada2 log files.

My first guess is some sort of prefiltering, but it that’s not it then I’m stumped too. Maybe the Illumina run failed but managed to output some reads? Maybe bcl2fastq didn’t finish running? :thinking:

Colin